Where's UnrealIRCd older versions?

If you hit any installation issues or cannot connect to your freshly installed UnrealIRCd then this forum is for you.

Moderator: Supporters

eCh
Posts: 9
Joined: Sat Oct 14, 2017 11:05 pm

Where's UnrealIRCd older versions?

Post by eCh » Sat Oct 14, 2017 11:08 pm

So, I do not want to use the new UnrealIRCd (please do not advertise me to use it), where's UnrealIRCd older versions?

Cronus
Posts: 6
Joined: Mon Nov 24, 2008 2:54 am

Re: Where's UnrealIRCd older versions?

Post by Cronus » Sat Oct 14, 2017 11:18 pm

You should use Unreal4. The rest are dead.

eCh
Posts: 9
Joined: Sat Oct 14, 2017 11:05 pm

Re: Where's UnrealIRCd older versions?

Post by eCh » Sat Oct 14, 2017 11:25 pm

I do not want to use it, why? Simple, many IRC services (like NeoStats, Janus) didn't updated to link with Unreal4, or, if they can connect to unreal4, they don't work correctly, so, where's the latest version of 3.x series?

Cronus
Posts: 6
Joined: Mon Nov 24, 2008 2:54 am

Re: Where's UnrealIRCd older versions?

Post by Cronus » Sat Oct 14, 2017 11:49 pm

cant help you
also lol @neostats, are you stuck in 2008??

eCh
Posts: 9
Joined: Sat Oct 14, 2017 11:05 pm

Re: Where's UnrealIRCd older versions?

Post by eCh » Sun Oct 15, 2017 12:05 am

We still use NeoStats, many IRC networks still use, it's very common in Brazil!

eCh
Posts: 9
Joined: Sat Oct 14, 2017 11:05 pm

Re: Where's UnrealIRCd older versions?

Post by eCh » Sun Oct 15, 2017 12:06 am

Thanks! I appreciate your trying. :D

Cronus
Posts: 6
Joined: Mon Nov 24, 2008 2:54 am

Re: Where's UnrealIRCd older versions?

Post by Cronus » Sun Oct 15, 2017 12:53 am

I gotta know, what do you even use it for?

I only use neostats years ago for OPM stuff, but now there are many better and more modern options. Also in terms of stats nothing beats Anope2 + magirc

eCh
Posts: 9
Joined: Sat Oct 14, 2017 11:05 pm

Re: Where's UnrealIRCd older versions?

Post by eCh » Sun Oct 15, 2017 2:29 am

There are many functions that I still using, for example LimitServ, BLSBServ, BOPMServ, SecureServ and so many.....

eCh
Posts: 9
Joined: Sat Oct 14, 2017 11:05 pm

Re: Where's UnrealIRCd older versions?

Post by eCh » Sun Oct 15, 2017 2:31 am

[23:30:54] 5-ConfigServ- Module: 13 LogServ (3.0.a4)
[23:30:54] 5-ConfigServ- : Channel Logging Bot
[23:30:54] 5-ConfigServ- Module: 8 QuoteServ (3.0.1 (Revision: 3332) linux-gnu)
[23:30:54] 5-ConfigServ- : Quote service
[23:30:54] 5-ConfigServ- Module: 16 YahtzeeServ (3.0.1)
[23:30:54] 5-ConfigServ- : Yahtzee Game Module For NeoStats
[23:30:54] 5-ConfigServ- Module: 11 BLSB (3.0.a4)
[23:30:54] 5-ConfigServ- : Black List Scanning Bot
[23:30:54] 5-ConfigServ- Module: 2 HostServ (3.0.1 (Revision: 3332) linux-gnu)
[23:30:54] 5-ConfigServ- : Network virtual host service
[23:30:54] 5-ConfigServ- Module: 3 TextServ (3.0.1 (Revision: 3332) linux-gnu)
[23:30:54] 5-ConfigServ- : Network text message service
[23:30:54] 5-ConfigServ- Module: 4 ConnectServ (3.0.1 (Revision: 3332) linux-gnu)
[23:30:54] 5-ConfigServ- : Connection monitoring service
[23:30:54] 5-ConfigServ- Module: 18 ProfileServ (3.0.1)
[23:30:54] 5-ConfigServ- : Profile Service Module For NeoStats
[23:30:54] 5-ConfigServ- Module: 1 StatServ (3.0.1 (Revision: 3332) linux-gnu)
[23:30:54] 5-ConfigServ- : Network statistical service
[23:30:54] 5-ConfigServ- Module: 9 LimitServ (3.0.1 (Revision: 3332) linux-gnu)
[23:30:54] 5-ConfigServ- : Channel limit service
[23:30:54] 5-ConfigServ- Module: 5 Operlog (3.0.1 (Revision: 3332) linux-gnu)
[23:30:54] 5-ConfigServ- : Operator command logging service
[23:30:54] 5-ConfigServ- Module: 7 ExtAuth (3.0.1 (Revision: 3332) linux-gnu)
[23:30:54] 5-ConfigServ- : Access List Authentication Module
[23:30:54] 5-ConfigServ- Module: 14 WarServ (3.0.1)
[23:30:54] 5-ConfigServ- : War Card Game Module For NeoStats
[23:30:54] 5-ConfigServ- Module: 17 SeenServ (3.0.a4)
[23:30:54] 5-ConfigServ- : Seen Service Module For NeoStats
[23:30:54] 5-ConfigServ- Module: 10 SecureServ (3.0.a3)
[23:30:54] 5-ConfigServ- : A Trojan Scanning Bot
[23:30:54] 5-ConfigServ- Module: 0 Update (3.0.1 (Revision: 3332) linux-gnu)
[23:30:54] 5-ConfigServ- : Update Notification Module
[23:30:54] 5-ConfigServ- Module: 6 IRCDAuth (3.0.1 (Revision: 3332) linux-gnu)
[23:30:54] 5-ConfigServ- : IRCD User Mode Authentication Module
[23:30:54] 5-ConfigServ- Module: 12 OPSB (3.0.a4)
[23:30:54] 5-ConfigServ- : Open Proxy Scanning Bot
[23:30:54] 5-ConfigServ- Module: 15 GamesServ (3.0.1)
[23:30:54] 5-ConfigServ- : Small Games Module For NeoStats
[23:30:54] 5-ConfigServ- End of Module List

eCh
Posts: 9
Joined: Sat Oct 14, 2017 11:05 pm

Re: Where's UnrealIRCd older versions?

Post by eCh » Sun Oct 15, 2017 2:32 am

I forgot to mention, Unreal4 can connect to NeoStats, but can't connect to Janus.

Cronus
Posts: 6
Joined: Mon Nov 24, 2008 2:54 am

Re: Where's UnrealIRCd older versions?

Post by Cronus » Sun Oct 15, 2017 2:45 am

Janus is so horribly broken and outdated.

PyLink is the new hotness and supports unreal4

Also I don't see much in that module list that doesnt already exist in more modern IRC software.

eCh
Posts: 9
Joined: Sat Oct 14, 2017 11:05 pm

Re: Where's UnrealIRCd older versions?

Post by eCh » Sun Oct 15, 2017 4:24 pm

I do not want to use Unreal4.

Cronus
Posts: 6
Joined: Mon Nov 24, 2008 2:54 am

Re: Where's UnrealIRCd older versions?

Post by Cronus » Sun Oct 15, 2017 4:38 pm

You should use unreal4

eCh
Posts: 9
Joined: Sat Oct 14, 2017 11:05 pm

Re: Where's UnrealIRCd older versions?

Post by eCh » Sun Oct 15, 2017 5:17 pm

I should, but I won't, so I have achieved all versions (for Linux) 3.2.10.x, 3.2.9, 3.2.8, if someone want, contact me.

Syzop
UnrealIRCd head coder
Posts: 1815
Joined: Sat Mar 06, 2004 8:57 pm
Location: .nl
Contact:

Re: Where's UnrealIRCd older versions?

Post by Syzop » Sun Oct 22, 2017 9:42 am

I also posed the question on twitter: What more could we do to get people to move to #UnrealIRCd 4.x?
I'm not sure if I will get any serious replies, but who knows there's something I haven't yet thought of. We already have a configuration file converter, ship with various 3rd party modules. Migrating should only be a few steps (tutorial). Sure it takes some time and if you run a serious network then you should fire up a test server first, see how things go. It's very doable.

In your particular case: as others pointed out there are fixes/alternatives for your problems, so you can migrate to 4.0.x.

I could write an entire rant here but it basically comes down to this:
Still running UnrealIRCd 3.2.x is about as responsible as still running Windows XP. You don't get any fixes, not even crash or security fixes. It is no longer being looked at by the developers. At some point in time there will be a situation where someone is going to crash or exploit all those 3.2.x servers and then you'll have to rush to 4.0.x while your server is down or crashing continuously. It's really a bad idea not to upgrade.
Oh, I'm ranting anyway :D

Post Reply